import * as i0 from '@angular/core';
import { Injectable, Component, Input, NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import * as i1 from '@progress-chef/interact-themes';
import { ThemesModule } from '@progress-chef/interact-themes';
import * as i1$1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i1$2 from '@progress/kendo-angular-buttons';
import { ButtonsModule, ButtonModule } from '@progress/kendo-angular-buttons';
import * as i1$3 from '@progress/kendo-angular-inputs';
import { InputsModule } from '@progress/kendo-angular-inputs';
import * as i2 from '@angular/forms';
import { FormControl, ReactiveFormsModule, FormsModule } from '@angular/forms';
import * as i2$1 from '@progress/kendo-angular-layout';
import { LayoutModule } from '@progress/kendo-angular-layout';
import * as i1$4 from '@progress/kendo-angular-navigation';
import { NavigationModule } from '@progress/kendo-angular-navigation';
import * as i3 from '@progress/kendo-angular-dialog';
import { DialogsModule } from '@progress/kendo-angular-dialog';
import { PopupModule } from '@progress/kendo-angular-popup';
import { IconsModule } from '@progress/kendo-angular-icons';
import { LabelModule } from '@progress/kendo-angular-label';
import { DropDownsModule } from '@progress/kendo-angular-dropdowns';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';

class SharedService {
    constructor() { }
}
SharedService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: SharedService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
SharedService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: SharedService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: SharedService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class SharedComponent {
    constructor(themesService) {
        this.themesService = themesService;
    }
    ngOnInit() { }
}
SharedComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: SharedComponent, deps: [{ token: i1.ThemesService }], target: i0.ɵɵFactoryTarget.Component });
SharedComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: SharedComponent, selector: "lib-shared", ngImport: i0, template: ` <p>shared works!</p> `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: SharedComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-shared', template: ` <p>shared works!</p> ` }]
        }], ctorParameters: function () { return [{ type: i1.ThemesService }]; } });

const TypographyTypes = {
    "MEDIUM_MULISH_18_MEDIUM": 'medium_mulish_18_medium',
    "SMALL_MULISH_12_LIGHT_ITALIC": 'small_mulish_12_light_Italic',
    "SMALL_MULISH_12_LIGHT": 'small_mulish_12_light',
    "SMALL_MULISH_12_REGULAR_ITALIC": 'small_mulish_12_regular_Italic',
    "SMALL_MULISH_12_REGULAR": 'small_mulish_12_regular',
    "SMALL_MULISH_12_BOLD": 'small_mulish_12_bold',
    "P_MULISH_14_LIGHT_ITALIC": 'P_Mulish_14_Light_Italic',
    "P_MULISH_14_LIGHT": 'P_Mulish_14_Light',
    "P_MULISH_14_REGULAR_ITALIC": 'P_Mulish_14_Regular_Italic',
    "P_MULISH_14_REGULAR": 'P_Mulish_14_Regular',
    "P_MULISH_14_BOLD": 'P_Mulish_14_Bold',
    "P_MULISH_16_LIGHT_ITALIC": 'P_Mulish_16_Light_Italic',
    "P_MULISH_16_LIGHT": 'P_Mulish_16_Light',
    "P_MULISH_16_REGULAR_ITALIC": 'P_Mulish_16_Regular_Italic',
    "P_MULISH_16_REGULAR": 'P_Mulish_16_Regular',
    "P_MULISH_16_BOLD": 'P_Mulish_16_Bold',
    "H6_MULISH_14_LIGHT": 'H6_Mulish_14_Light',
    "H5_MULISH_14_REGULAR": 'H5_Mulish_14_Regular',
    "H4_MULISH_14_BOLD": 'H4_Mulish_14_Bold',
    "H3_MULISH_18_LIGHT": 'H3_Mulish_18_Light',
    "H3_MULISH_18_REGULAR": 'H3_Mulish_18_Regular',
    "H3_MULISH_18_BOLD": 'H3_Mulish_18_Bold',
    "H2_MULISH_24_LIGHT": 'H2_Mulish_24_Light',
    "H2_MULISH_24_REGULAR": 'H2_Mulish_24_Regular',
    "H2_MULISH_24_BOLD": 'H2_Mulish_24_Bold',
    "H1_MULISH_36_LIGHT": 'H1_Mulish_36_Light',
    "H1_MULISH_36_REGULAR": 'H1_Mulish_36_Regular',
    "H1_MULISH_36_BOLD": 'H1_Mulish_36_Bold'
};
class TypographyComponent {
    constructor() {
        this.typographyTypes = TypographyTypes;
        this.type = TypographyTypes.MEDIUM_MULISH_18_MEDIUM;
        this.defaultText = "defaultText";
    }
    ngOnInit() {
    }
}
TypographyComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: TypographyComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TypographyComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: TypographyComponent, selector: "lib-typography", inputs: { type: "type", defaultText: "defaultText" }, ngImport: i0, template: "<ng-container [ngSwitch]=\"type\">\n    <ng-container *ngSwitchCase=\"typographyTypes.MEDIUM_MULISH_18_MEDIUM\">\n        <span class=\"medium_mulish_18_medium\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_LIGHT_ITALIC\">\n        <span class=\"small_mulish_12_light_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_LIGHT\">\n        <span class=\"small_mulish_12_light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_REGULAR_ITALIC\">\n        <span class=\"small_mulish_12_regular_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_REGULAR\">\n        <span class=\"small_mulish_12_regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_BOLD\">\n        <span class=\"small_mulish_12_bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_LIGHT_ITALIC\">\n        <span class=\"P_Mulish_14_Light_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_LIGHT\">\n        <span class=\"P_Mulish_14_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_REGULAR_ITALIC\">\n        <span class=\"P_Mulish_14_Regular_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_REGULAR\">\n        <span class=\"P_Mulish_14_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_BOLD\">\n        <span class=\"P_Mulish_14_Bold\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_LIGHT_ITALIC\">\n        <span class=\"P_Mulish_16_Light_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_LIGHT\">\n        <span class=\"P_Mulish_16_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_REGULAR_ITALIC\">\n        <span class=\"P_Mulish_16_Regular_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_REGULAR\">\n        <span class=\"P_Mulish_16_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_BOLD\">\n        <span class=\"P_Mulish_16_Bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H6_MULISH_14_LIGHT\">\n        <span class=\"H6_Mulish_14_Light\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H5_MULISH_14_REGULAR\">\n        <span class=\"H5_Mulish_14_Regular\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H4_MULISH_14_BOLD\">\n        <span class=\"H4_Mulish_14_Bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H3_MULISH_18_LIGHT\">\n        <span class=\"H3_Mulish_18_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H3_MULISH_18_REGULAR\">\n        <span class=\"H3_Mulish_18_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H3_MULISH_18_BOLD\">\n        <span class=\"H3_Mulish_18_Bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H2_MULISH_24_LIGHT\">\n        <span class=\"H2_Mulish_24_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H2_MULISH_24_REGULAR\">\n        <span class=\"H2_Mulish_24_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H2_MULISH_24_BOLD\">\n        <span class=\"H2_Mulish_24_Bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H1_MULISH_36_LIGHT\">\n        <span class=\"H1_Mulish_36_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H1_MULISH_36_REGULAR\">\n        <span class=\"H1_Mulish_36_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H1_MULISH_36_BOLD\">\n        <span class=\"H1_Mulish_36_Bold\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchDefault>output2</ng-container>\n</ng-container> \n", styles: ["@font-face{font-family:Mulish-ExtraLight;src:url(../assets/mulish-cufonfonts/Mulish-ExtraLight.ttf)}@font-face{font-family:Mulish-normal;src:url(../assets/mulish-cufonfonts/Muli-Regular.ttf)}@font-face{font-family:Mulish-light;src:url(../assets/mulish-cufonfonts/Mulish-Light.ttf)}@font-face{font-family:Mulish-medium;src:url(../assets/mulish-cufonfonts/Mulish-SemiBold.ttf)}.medium_mulish_18_medium{font-family:Mulish-medium;font-weight:500;font-size:18px;line-height:24px}.small_mulish_12_light_Italic{font-family:Mulish-ExtraLight;font-style:italic;font-weight:400;font-size:12px;line-height:18px;letter-spacing:.2px}.small_mulish_12_light{font-family:Mulish-ExtraLight;font-style:normal;font-weight:400;font-size:12px;line-height:18px;letter-spacing:.2px}.small_mulish_12_regular_Italic{font-family:Mulish-normal;font-style:italic;font-weight:400;font-size:12px;line-height:18px}.small_mulish_12_regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:12px;line-height:18px;letter-spacing:.2px}.small_mulish_12_bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:12px;line-height:18px;letter-spacing:.2px}.P_Mulish_14_Light_Italic,.P_Mulish_14_Light{font-family:Mulish-ExtraLight;font-style:italic;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.2px}.P_Mulish_14_Regular_Italic{font-family:Mulish-normal;font-style:italic;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.2px}.P_Mulish_14_Regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.2px}.P_Mulish_14_Bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:14px;line-height:21px;letter-spacing:.2px}.P_Mulish_16_Light_Italic{font-family:Mulish-ExtraLight;font-style:italic;font-weight:400;font-size:16px;line-height:24px;letter-spacing:.2px}.P_Mulish_16_Light{font-family:Mulish-ExtraLight;font-style:normal;font-weight:400;font-size:16px;line-height:24px;letter-spacing:.2px}.P_Mulish_16_Regular_Italic{font-family:Mulish-normal!important;font-style:italic!important;font-weight:400!important;font-size:16px!important;line-height:24px!important;letter-spacing:.2px!important}.P_Mulish_16_Regular{font-family:Mulish-normal!important;font-style:normal!important;font-weight:400!important;font-size:16px!important;line-height:24px!important;letter-spacing:.2px!important}.P_Mulish_16_Bold{font-family:Mulish-normal!important;font-style:normal;font-weight:700;font-size:16px;line-height:24px;letter-spacing:.2px}.H6_Mulish_14_Light{font-family:Mulish-light;font-style:normal;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.8px}.H5_Mulish_14_Regular{font-family:Mulish-normal!important;font-style:normal;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.8px}.H4_Mulish_14_Bold{font-family:Mulish-normal!important;font-style:normal;font-weight:700;font-size:14px;line-height:21px;letter-spacing:.8px}.H3_Mulish_18_Light{font-family:Mulish-light;font-style:normal;font-weight:400;font-size:18px;line-height:27px;letter-spacing:.8px}.H3_Mulish_18_Regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:18px;line-height:27px}.H3_Mulish_18_Bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:18px;line-height:27px;letter-spacing:.8px}.H2_Mulish_24_Light{font-family:Mulish-light;font-style:normal;font-weight:400;font-size:24px;line-height:36px;letter-spacing:.8px}.H2_Mulish_24_Regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:24px;line-height:36px;letter-spacing:.8px}.H2_Mulish_24_Bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:24px;line-height:36px;letter-spacing:.8px}.H1_Mulish_36_Light{font-family:Mulish-light;font-style:normal;font-weight:400;font-size:36px;line-height:54px;letter-spacing:.8px}.H1_Mulish_36_Regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:36px;line-height:54px;letter-spacing:.8px}.H1_Mulish_36_Bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:36px;line-height:54px;letter-spacing:.8px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1$1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i1$1.NgSwitchDefault, selector: "[ngSwitchDefault]" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: TypographyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-typography', template: "<ng-container [ngSwitch]=\"type\">\n    <ng-container *ngSwitchCase=\"typographyTypes.MEDIUM_MULISH_18_MEDIUM\">\n        <span class=\"medium_mulish_18_medium\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_LIGHT_ITALIC\">\n        <span class=\"small_mulish_12_light_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_LIGHT\">\n        <span class=\"small_mulish_12_light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_REGULAR_ITALIC\">\n        <span class=\"small_mulish_12_regular_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_REGULAR\">\n        <span class=\"small_mulish_12_regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.SMALL_MULISH_12_BOLD\">\n        <span class=\"small_mulish_12_bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_LIGHT_ITALIC\">\n        <span class=\"P_Mulish_14_Light_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_LIGHT\">\n        <span class=\"P_Mulish_14_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_REGULAR_ITALIC\">\n        <span class=\"P_Mulish_14_Regular_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_REGULAR\">\n        <span class=\"P_Mulish_14_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_14_BOLD\">\n        <span class=\"P_Mulish_14_Bold\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_LIGHT_ITALIC\">\n        <span class=\"P_Mulish_16_Light_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_LIGHT\">\n        <span class=\"P_Mulish_16_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_REGULAR_ITALIC\">\n        <span class=\"P_Mulish_16_Regular_Italic\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_REGULAR\">\n        <span class=\"P_Mulish_16_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.P_MULISH_16_BOLD\">\n        <span class=\"P_Mulish_16_Bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H6_MULISH_14_LIGHT\">\n        <span class=\"H6_Mulish_14_Light\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H5_MULISH_14_REGULAR\">\n        <span class=\"H5_Mulish_14_Regular\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H4_MULISH_14_BOLD\">\n        <span class=\"H4_Mulish_14_Bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H3_MULISH_18_LIGHT\">\n        <span class=\"H3_Mulish_18_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H3_MULISH_18_REGULAR\">\n        <span class=\"H3_Mulish_18_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H3_MULISH_18_BOLD\">\n        <span class=\"H3_Mulish_18_Bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H2_MULISH_24_LIGHT\">\n        <span class=\"H2_Mulish_24_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H2_MULISH_24_REGULAR\">\n        <span class=\"H2_Mulish_24_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H2_MULISH_24_BOLD\">\n        <span class=\"H2_Mulish_24_Bold\">{{defaultText}}</span>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"typographyTypes.H1_MULISH_36_LIGHT\">\n        <span class=\"H1_Mulish_36_Light\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H1_MULISH_36_REGULAR\">\n        <span class=\"H1_Mulish_36_Regular\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"typographyTypes.H1_MULISH_36_BOLD\">\n        <span class=\"H1_Mulish_36_Bold\">{{defaultText}}</span>\n    </ng-container>\n    <ng-container *ngSwitchDefault>output2</ng-container>\n</ng-container> \n", styles: ["@font-face{font-family:Mulish-ExtraLight;src:url(../assets/mulish-cufonfonts/Mulish-ExtraLight.ttf)}@font-face{font-family:Mulish-normal;src:url(../assets/mulish-cufonfonts/Muli-Regular.ttf)}@font-face{font-family:Mulish-light;src:url(../assets/mulish-cufonfonts/Mulish-Light.ttf)}@font-face{font-family:Mulish-medium;src:url(../assets/mulish-cufonfonts/Mulish-SemiBold.ttf)}.medium_mulish_18_medium{font-family:Mulish-medium;font-weight:500;font-size:18px;line-height:24px}.small_mulish_12_light_Italic{font-family:Mulish-ExtraLight;font-style:italic;font-weight:400;font-size:12px;line-height:18px;letter-spacing:.2px}.small_mulish_12_light{font-family:Mulish-ExtraLight;font-style:normal;font-weight:400;font-size:12px;line-height:18px;letter-spacing:.2px}.small_mulish_12_regular_Italic{font-family:Mulish-normal;font-style:italic;font-weight:400;font-size:12px;line-height:18px}.small_mulish_12_regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:12px;line-height:18px;letter-spacing:.2px}.small_mulish_12_bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:12px;line-height:18px;letter-spacing:.2px}.P_Mulish_14_Light_Italic,.P_Mulish_14_Light{font-family:Mulish-ExtraLight;font-style:italic;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.2px}.P_Mulish_14_Regular_Italic{font-family:Mulish-normal;font-style:italic;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.2px}.P_Mulish_14_Regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.2px}.P_Mulish_14_Bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:14px;line-height:21px;letter-spacing:.2px}.P_Mulish_16_Light_Italic{font-family:Mulish-ExtraLight;font-style:italic;font-weight:400;font-size:16px;line-height:24px;letter-spacing:.2px}.P_Mulish_16_Light{font-family:Mulish-ExtraLight;font-style:normal;font-weight:400;font-size:16px;line-height:24px;letter-spacing:.2px}.P_Mulish_16_Regular_Italic{font-family:Mulish-normal!important;font-style:italic!important;font-weight:400!important;font-size:16px!important;line-height:24px!important;letter-spacing:.2px!important}.P_Mulish_16_Regular{font-family:Mulish-normal!important;font-style:normal!important;font-weight:400!important;font-size:16px!important;line-height:24px!important;letter-spacing:.2px!important}.P_Mulish_16_Bold{font-family:Mulish-normal!important;font-style:normal;font-weight:700;font-size:16px;line-height:24px;letter-spacing:.2px}.H6_Mulish_14_Light{font-family:Mulish-light;font-style:normal;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.8px}.H5_Mulish_14_Regular{font-family:Mulish-normal!important;font-style:normal;font-weight:400;font-size:14px;line-height:21px;letter-spacing:.8px}.H4_Mulish_14_Bold{font-family:Mulish-normal!important;font-style:normal;font-weight:700;font-size:14px;line-height:21px;letter-spacing:.8px}.H3_Mulish_18_Light{font-family:Mulish-light;font-style:normal;font-weight:400;font-size:18px;line-height:27px;letter-spacing:.8px}.H3_Mulish_18_Regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:18px;line-height:27px}.H3_Mulish_18_Bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:18px;line-height:27px;letter-spacing:.8px}.H2_Mulish_24_Light{font-family:Mulish-light;font-style:normal;font-weight:400;font-size:24px;line-height:36px;letter-spacing:.8px}.H2_Mulish_24_Regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:24px;line-height:36px;letter-spacing:.8px}.H2_Mulish_24_Bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:24px;line-height:36px;letter-spacing:.8px}.H1_Mulish_36_Light{font-family:Mulish-light;font-style:normal;font-weight:400;font-size:36px;line-height:54px;letter-spacing:.8px}.H1_Mulish_36_Regular{font-family:Mulish-normal;font-style:normal;font-weight:400;font-size:36px;line-height:54px;letter-spacing:.8px}.H1_Mulish_36_Bold{font-family:Mulish-normal;font-style:normal;font-weight:700;font-size:36px;line-height:54px;letter-spacing:.8px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { type: [{
                type: Input
            }], defaultText: [{
                type: Input
            }] } });

// import 'typography.scss';
class TypographyModule {
}
TypographyModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: TypographyModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
TypographyModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.3", ngImport: i0, type: TypographyModule, imports: [CommonModule] });
TypographyModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: TypographyModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: TypographyModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule
                    ]
                }]
        }] });

class StyleTokensModule {
}
StyleTokensModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: StyleTokensModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
StyleTokensModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.3", ngImport: i0, type: StyleTokensModule, imports: [CommonModule,
        TypographyModule] });
StyleTokensModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: StyleTokensModule, imports: [CommonModule,
        TypographyModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: StyleTokensModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule,
                        TypographyModule
                    ]
                }]
        }] });

class ButtonComponent {
    constructor() {
        this.label = "sample";
        this.primary = true;
        this.size = "medium";
        this.rounded = "full";
        this.fillMode = "solid";
        this.themeColor = "primary";
        this.onButtonClick = () => { };
    }
    ngOnInit() {
    }
}
ButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: ButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: ButtonComponent, selector: "lib-button", inputs: { primary: "primary", size: "size", rounded: "rounded", fillMode: "fillMode", themeColor: "themeColor", onButtonClick: "onButtonClick" }, ngImport: i0, template: "<button\n  kendoButton\n  [size]=\"size\"\n  [themeColor]=\"themeColor\"\n  [fillMode]=\"fillMode\"\n  [rounded]=\"rounded\"\n  (click)=\"onButtonClick()\"\n>\n  {{label}}\n</button>\n", styles: [""], dependencies: [{ kind: "directive", type: i1$2.ButtonDirective, selector: "button[kendoButton], span[kendoButton]", inputs: ["toggleable", "togglable", "selected", "tabIndex", "icon", "iconClass", "imageUrl", "disabled", "size", "rounded", "fillMode", "themeColor", "role", "primary", "look"], outputs: ["selectedChange", "click"], exportAs: ["kendoButton"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: ButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-button', template: "<button\n  kendoButton\n  [size]=\"size\"\n  [themeColor]=\"themeColor\"\n  [fillMode]=\"fillMode\"\n  [rounded]=\"rounded\"\n  (click)=\"onButtonClick()\"\n>\n  {{label}}\n</button>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { primary: [{
                type: Input
            }], size: [{
                type: Input
            }], rounded: [{
                type: Input
            }], fillMode: [{
                type: Input
            }], themeColor: [{
                type: Input
            }], onButtonClick: [{
                type: Input
            }] } });

class InputComponent {
    constructor() {
        this.clearButton = true;
        this.placeholder = "";
        this.styleWidthPx = "180";
        this.formControlName = "";
    }
    ngOnInit() { }
}
InputComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: InputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
InputComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: InputComponent, selector: "lib-input", inputs: { clearButton: "clearButton", placeholder: "placeholder", styleWidthPx: "styleWidthPx", formControlName: "formControlName" }, ngImport: i0, template: "<kendo-textbox [clearButton]=\"clearButton\" [style.width.px]=\"styleWidthPx\" [placeholder]=\"placeholder\"\n  [formControlName]=\"formControlName\"></kendo-textbox>\n", styles: [""], dependencies: [{ kind: "component", type: i1$3.TextBoxComponent, selector: "kendo-textbox", inputs: ["focusableId", "title", "disabled", "readonly", "tabindex", "value", "selectOnFocus", "showSuccessIcon", "showErrorIcon", "clearButton", "successIcon", "errorIcon", "clearButtonIcon", "size", "rounded", "fillMode", "tabIndex", "placeholder", "maxlength"], outputs: ["valueChange", "inputFocus", "inputBlur", "focus", "blur"], exportAs: ["kendoTextBox"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: InputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-input', template: "<kendo-textbox [clearButton]=\"clearButton\" [style.width.px]=\"styleWidthPx\" [placeholder]=\"placeholder\"\n  [formControlName]=\"formControlName\"></kendo-textbox>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { clearButton: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], styleWidthPx: [{
                type: Input
            }], formControlName: [{
                type: Input
            }] } });

class CardComponent {
    constructor() {
        this.subHead = 'test xyz';
        this.cardText = '';
        this.width = '300px';
        this.head = '';
        this.orientation = 'vertical';
    }
    ngOnInit() { }
}
CardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: CardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: CardComponent, selector: "lib-card", inputs: { subHead: "subHead", cardText: "cardText", width: "width", head: "head", orientation: "orientation" }, ngImport: i0, template: "<kendo-card [width]=\"width\" [orientation]=\"orientation\">\n  <kendo-card-header class=\"k-hstack\" *ngIf=\"head.length > 0\">\n    <div>\n      <h1 kendoCardTitle>{{head}}</h1>\n    </div>\n  </kendo-card-header>\n  <kendo-card-body>\n    <p *ngIf=\"subHead.length > 0\">{{ subHead }}</p>\n    <p *ngIf=\"cardText.length > 0\">{{ cardText }}</p>\n  </kendo-card-body>\n  <ng-content></ng-content>\n</kendo-card>\n", styles: [".k-card-body{padding:1rem;outline:0;flex:1 1 auto;height:120px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2$1.CardComponent, selector: "kendo-card", inputs: ["orientation", "width"] }, { kind: "component", type: i2$1.CardHeaderComponent, selector: "kendo-card-header" }, { kind: "component", type: i2$1.CardBodyComponent, selector: "kendo-card-body" }, { kind: "directive", type: i2$1.CardTitleDirective, selector: "[kendoCardTitle]" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: CardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-card', template: "<kendo-card [width]=\"width\" [orientation]=\"orientation\">\n  <kendo-card-header class=\"k-hstack\" *ngIf=\"head.length > 0\">\n    <div>\n      <h1 kendoCardTitle>{{head}}</h1>\n    </div>\n  </kendo-card-header>\n  <kendo-card-body>\n    <p *ngIf=\"subHead.length > 0\">{{ subHead }}</p>\n    <p *ngIf=\"cardText.length > 0\">{{ cardText }}</p>\n  </kendo-card-body>\n  <ng-content></ng-content>\n</kendo-card>\n", styles: [".k-card-body{padding:1rem;outline:0;flex:1 1 auto;height:120px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { subHead: [{
                type: Input
            }], cardText: [{
                type: Input
            }], width: [{
                type: Input
            }], head: [{
                type: Input
            }], orientation: [{
                type: Input
            }] } });

class NavigationBarComponent {
    constructor() {
        this.items = [
            {
                title: 'Home',
                icon: 'home',
            },
            {
                text: 'Compliance',
                title: 'Compliance',
            },
            {
                text: 'Scan Job',
                title: 'Scan Job',
            },
            {
                text: 'Create Scan Job',
                title: 'CreateScan Job',
            },
        ];
    }
    ngOnInit() { }
}
NavigationBarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: NavigationBarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NavigationBarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: NavigationBarComponent, selector: "lib-navigation-bar", inputs: { items: "items" }, ngImport: i0, template: "<kendo-breadcrumb [items]=\"items\"></kendo-breadcrumb>\n", styles: [""], dependencies: [{ kind: "component", type: i1$4.BreadCrumbComponent, selector: "kendo-breadcrumb", inputs: ["items", "separatorIcon", "collapseMode"], outputs: ["itemClick"], exportAs: ["kendoBreadCrumb"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: NavigationBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-navigation-bar', template: "<kendo-breadcrumb [items]=\"items\"></kendo-breadcrumb>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { items: [{
                type: Input
            }] } });

class TextboxComponent {
    constructor() {
        this.clearButton = true;
        this.placeholder = 'message';
        this.width = '300';
    }
    ngOnInit() { }
}
TextboxComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: TextboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TextboxComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: TextboxComponent, selector: "lib-textbox", inputs: { clearButton: "clearButton", placeholder: "placeholder", width: "width" }, ngImport: i0, template: "<kendo-textbox\n  [style.width.px]=\"width\"\n  [placeholder]=\"placeholder\"\n  [clearButton]=\"clearButton\"\n></kendo-textbox>\n", styles: [""], dependencies: [{ kind: "component", type: i1$3.TextBoxComponent, selector: "kendo-textbox", inputs: ["focusableId", "title", "disabled", "readonly", "tabindex", "value", "selectOnFocus", "showSuccessIcon", "showErrorIcon", "clearButton", "successIcon", "errorIcon", "clearButtonIcon", "size", "rounded", "fillMode", "tabIndex", "placeholder", "maxlength"], outputs: ["valueChange", "inputFocus", "inputBlur", "focus", "blur"], exportAs: ["kendoTextBox"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: TextboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-textbox', template: "<kendo-textbox\n  [style.width.px]=\"width\"\n  [placeholder]=\"placeholder\"\n  [clearButton]=\"clearButton\"\n></kendo-textbox>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { clearButton: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], width: [{
                type: Input
            }] } });

class ExpansionPanelComponent {
    constructor() {
        this.title = 'Add Integration';
        this.data = 'No integrations added yet';
        this.subtitle = 'Some Data';
        this.buttonName = '+ Add New';
    }
    ngOnInit() { }
}
ExpansionPanelComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: ExpansionPanelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ExpansionPanelComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: ExpansionPanelComponent, selector: "lib-expansion-panel", inputs: { title: "title", data: "data", subtitle: "subtitle", buttonName: "buttonName" }, ngImport: i0, template: "<kendo-expansionpanel [title]=\"title\" [subtitle]=\"subtitle\">\n  <ng-content></ng-content>\n</kendo-expansionpanel>\n", styles: [""], dependencies: [{ kind: "component", type: i2$1.ExpansionPanelComponent, selector: "kendo-expansionpanel", inputs: ["title", "subtitle", "disabled", "expanded", "expandIcon", "collapseIcon", "animation"], outputs: ["expandedChange", "action", "expand", "collapse"], exportAs: ["kendoExpansionPanel"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: ExpansionPanelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-expansion-panel', template: "<kendo-expansionpanel [title]=\"title\" [subtitle]=\"subtitle\">\n  <ng-content></ng-content>\n</kendo-expansionpanel>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { title: [{
                type: Input
            }], data: [{
                type: Input
            }], subtitle: [{
                type: Input
            }], buttonName: [{
                type: Input
            }] } });

class ModalComponent {
    constructor() {
        this.width = 200;
        this.opened = true;
        this.minWidth = 200;
        this.height = 200;
        this.buttonLayout = "normal";
        this.title = '';
        this.buttonList = [];
        this.open = () => {
            this.opened = true;
        };
        this.close = (status) => {
            this.opened = false;
        };
    }
    ngOnInit() { }
    onButtonAction(action, buttonText) {
        this.opened = false;
    }
}
ModalComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: ModalComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ModalComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: ModalComponent, selector: "lib-modal", inputs: { width: "width", opened: "opened", minWidth: "minWidth", height: "height", buttonLayout: "buttonLayout", title: "title", buttonList: "buttonList", open: "open", close: "close", onButtonAction: "onButtonAction" }, ngImport: i0, template: "<kendo-dialog *ngIf=\"opened\" [width]=\"width\" [height]=\"height\" (close)=\"close('cancel')\" title=\"{{title}}\" [minWidth]=\"minWidth\">\n  <div>\n    <ng-content></ng-content>\n  </div>\n  <kendo-dialog-actions [layout]=\"buttonLayout\" *ngIf=\"buttonList.length > 0\">\n    <button kendoButton (click)=\"onButtonAction($event, button.text)\" *ngFor=\"let button of buttonList\">\n      {{button.text}}\n    </button>\n  </kendo-dialog-actions>\n</kendo-dialog>\n", styles: [""], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$2.ButtonDirective, selector: "button[kendoButton], span[kendoButton]", inputs: ["toggleable", "togglable", "selected", "tabIndex", "icon", "iconClass", "imageUrl", "disabled", "size", "rounded", "fillMode", "themeColor", "role", "primary", "look"], outputs: ["selectedChange", "click"], exportAs: ["kendoButton"] }, { kind: "component", type: i3.DialogComponent, selector: "kendo-dialog", inputs: ["actions", "actionsLayout", "autoFocusedElement", "title", "width", "minWidth", "maxWidth", "height", "minHeight", "maxHeight", "animation"], outputs: ["action", "close"], exportAs: ["kendoDialog"] }, { kind: "component", type: i3.DialogActionsComponent, selector: "kendo-dialog-actions", inputs: ["actions", "layout"], outputs: ["action"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: ModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-modal', template: "<kendo-dialog *ngIf=\"opened\" [width]=\"width\" [height]=\"height\" (close)=\"close('cancel')\" title=\"{{title}}\" [minWidth]=\"minWidth\">\n  <div>\n    <ng-content></ng-content>\n  </div>\n  <kendo-dialog-actions [layout]=\"buttonLayout\" *ngIf=\"buttonList.length > 0\">\n    <button kendoButton (click)=\"onButtonAction($event, button.text)\" *ngFor=\"let button of buttonList\">\n      {{button.text}}\n    </button>\n  </kendo-dialog-actions>\n</kendo-dialog>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { width: [{
                type: Input
            }], opened: [{
                type: Input
            }], minWidth: [{
                type: Input
            }], height: [{
                type: Input
            }], buttonLayout: [{
                type: Input
            }], title: [{
                type: Input
            }], buttonList: [{
                type: Input
            }], open: [{
                type: Input
            }], close: [{
                type: Input
            }], onButtonAction: [{
                type: Input
            }] } });

class CheckboxComponent {
    constructor() {
        this.control = new FormControl();
        this.id = "";
        this.size = "medium";
        this.rounded = "none";
    }
    ngOnInit() { }
}
CheckboxComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: CheckboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CheckboxComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.3", type: CheckboxComponent, selector: "lib-checkbox", inputs: { control: "control", id: "id", size: "size", rounded: "rounded" }, ngImport: i0, template: "<input type=\"checkbox\" [size]=\"size\" [rounded]=\"rounded\" [id]=\"id\" [formControl]=\"control\" kendoCheckBox />\n\n", styles: [""], dependencies: [{ kind: "directive", type: i1$3.CheckBoxDirective, selector: "input[kendoCheckBox]", inputs: ["size", "rounded"] }, { kind: "directive", type: i2.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: CheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-checkbox', template: "<input type=\"checkbox\" [size]=\"size\" [rounded]=\"rounded\" [id]=\"id\" [formControl]=\"control\" kendoCheckBox />\n\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { control: [{
                type: Input
            }], id: [{
                type: Input
            }], size: [{
                type: Input
            }], rounded: [{
                type: Input
            }] } });

class CheckboxModule {
}
CheckboxModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: CheckboxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
CheckboxModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.3", ngImport: i0, type: CheckboxModule, declarations: [CheckboxComponent], imports: [CommonModule,
        InputsModule,
        ReactiveFormsModule] });
CheckboxModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: CheckboxModule, imports: [CommonModule,
        InputsModule,
        ReactiveFormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: CheckboxModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CheckboxComponent],
                    imports: [
                        CommonModule,
                        InputsModule,
                        ReactiveFormsModule
                    ]
                }]
        }] });

class AtomsModule {
}
AtomsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: AtomsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AtomsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.3", ngImport: i0, type: AtomsModule, declarations: [TypographyComponent,
        ButtonComponent,
        InputComponent,
        CardComponent,
        NavigationBarComponent,
        TextboxComponent,
        ExpansionPanelComponent,
        ModalComponent], imports: [CommonModule,
        CheckboxModule,
        StyleTokensModule,
        ButtonsModule,
        ButtonModule,
        InputsModule,
        NavigationModule,
        DialogsModule,
        PopupModule,
        IconsModule,
        LabelModule,
        DropDownsModule,
        LayoutModule,
        FormsModule,
        BrowserModule,
        BrowserAnimationsModule,
        CommonModule,
        ReactiveFormsModule,
        HttpClientModule,
        HttpClientJsonpModule], exports: [CheckboxModule,
        TypographyComponent,
        StyleTokensModule,
        ButtonComponent,
        InputComponent,
        CardComponent,
        NavigationBarComponent,
        TextboxComponent,
        ExpansionPanelComponent,
        ModalComponent] });
AtomsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: AtomsModule, imports: [CommonModule,
        CheckboxModule,
        StyleTokensModule,
        ButtonsModule,
        ButtonModule,
        InputsModule,
        NavigationModule,
        DialogsModule,
        PopupModule,
        IconsModule,
        LabelModule,
        DropDownsModule,
        LayoutModule,
        FormsModule,
        BrowserModule,
        BrowserAnimationsModule,
        CommonModule,
        ReactiveFormsModule,
        HttpClientModule,
        HttpClientJsonpModule, CheckboxModule,
        StyleTokensModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: AtomsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        TypographyComponent,
                        ButtonComponent,
                        InputComponent,
                        CardComponent,
                        NavigationBarComponent,
                        TextboxComponent,
                        ExpansionPanelComponent,
                        ModalComponent
                    ],
                    imports: [
                        CommonModule,
                        CheckboxModule,
                        StyleTokensModule,
                        ButtonsModule,
                        ButtonModule,
                        InputsModule,
                        NavigationModule,
                        DialogsModule,
                        PopupModule,
                        IconsModule,
                        LabelModule,
                        DropDownsModule,
                        LayoutModule,
                        FormsModule,
                        BrowserModule,
                        BrowserAnimationsModule,
                        CommonModule,
                        ReactiveFormsModule,
                        HttpClientModule,
                        HttpClientJsonpModule
                    ],
                    exports: [
                        CheckboxModule,
                        TypographyComponent,
                        StyleTokensModule,
                        ButtonComponent,
                        InputComponent,
                        CardComponent,
                        NavigationBarComponent,
                        TextboxComponent,
                        ExpansionPanelComponent,
                        ModalComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class SharedModule {
}
SharedModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: SharedModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SharedModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.3", ngImport: i0, type: SharedModule, declarations: [SharedComponent], imports: [AtomsModule,
        CommonModule,
        ThemesModule], exports: [SharedComponent,
        AtomsModule] });
SharedModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: SharedModule, imports: [AtomsModule,
        CommonModule,
        ThemesModule, AtomsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.3", ngImport: i0, type: SharedModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        SharedComponent
                    ],
                    imports: [
                        AtomsModule,
                        CommonModule,
                        ThemesModule
                    ],
                    exports: [
                        SharedComponent,
                        AtomsModule
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/*
 * Public API Surface of shared
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AtomsModule, ButtonComponent, CardComponent, CheckboxComponent, CheckboxModule, ExpansionPanelComponent, InputComponent, ModalComponent, NavigationBarComponent, SharedComponent, SharedModule, SharedService, StyleTokensModule, TextboxComponent, TypographyComponent, TypographyTypes };
//# sourceMappingURL=progress-chef-interact-shared-components-dev.mjs.map
